{****************************************************
Author:
	German Mendez Gonzalez 
	A Corunha - Galicia - Spain
	E-mail: gmendez@hotmail.com
	http://www.lander.es/~gmendez

TIconTaskBar: Delphi component that allow show an icon in the Win95 task bar.

This component and source are freeware.

Please don't remove my information from the source (Name, E-Mail, ...)
Thanks.
****************************************************}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  IconTBar, StdCtrls;

type
  TForm1 = class(TForm)
    IconTaskBar1: TIconTaskBar;
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure IconTaskBar1Click(Sender: TObject);
    procedure IconTaskBar1DblClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure IconTaskBar1Event(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

const
  i:Integer=0;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
 If Not IconTaskBar1.Visible then IconTaskBar1.Show;
 Label1.Visible:=True;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 If IconTaskBar1.Visible then IconTaskBar1.Close;
 Label1.Visible:=False;
end;

procedure TForm1.IconTaskBar1Click(Sender: TObject);
begin
 ShowMessage('Click');
end;

procedure TForm1.IconTaskBar1DblClick(Sender: TObject);
begin
 ShowMessage('2 Click');
end;

procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 If IconTaskBar1.Visible then IconTaskBar1.Close;
end;

procedure TForm1.IconTaskBar1Event(Sender: TObject);
const
 Car:array[0..3] of char=('\','|','/','-');
begin
 i:=(i+1) mod 4;
 Label1.Caption:=Car[i]
end;

end.
